E-MailRelay

Public Member Functions | List of all members
GAuth::SaslClientSecrets Class Referenceabstract

An interface used by GAuth::SaslClient to obtain a client id and its authentication secret. More...

`#include <gsaslclientsecrets.h>`

Inheritance diagram for GAuth::SaslClientSecrets:

## Public Member Functions
virtual Secret | clientSecret (const std::string &type) const =0
| Returns the client secret for the given type. More...
Public Member Functions inherited from GAuth::Valid
virtual bool | valid () const =0
| Returns true if a valid source of information. More...
virtual | ~Valid ()=default
| Destructor.

## Detailed Description

An interface used by GAuth::SaslClient to obtain a client id and its authentication secret.

Conceptually there is one client and they can have secrets encoded in multiple ways.

Definition at line 38 of file gsaslclientsecrets.h.

## Member Function Documentation

## ◆ clientSecret()

virtual Secret GAuth::SaslClientSecrets::clientSecret | ( | const std::string & | type | ) | const
| pure virtual

Returns the client secret for the given type.

The type is "plain" or the CRAM hash algorithm or "oauth". Returns an invalid secret if none.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gauth/gsaslclientsecrets.h